Package com.orchestranetworks.schema.types.dataset

# Interface DatasetSet

All Known Subinterfaces:
  `ActivationContextOnAssociation`, `ActivationContextOnAssociationRecord`, `ActivationContextOnDataset`, `ActivationContextOnHierarchy`, `ActivationContextOnHierarchyNode`, `ActivationContextOnRecord`, `ActivationContextOnTableView`, `ActivationContextWithDatasetSet<S>`, `ActivationContextWithSchemaNodeSet<S>`, `BeanFacetDatasetSet`

public interface DatasetSet
Declarative definition of a set of dataspaces thanks to a list of include and exclude subsets.

If no include/exclude is provided, the set contains by default all the datasets. As soon as an exclude restriction is set, an include restriction must also be specified.

It is worth noticing that the order of the declaration of the includes/excludes does not matter.

Since:
  5.8.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `DatasetSet.DatasetChildrenPolicy`
  Inclusion policies for the children of a current dataset in a current subset.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `excludeDatasetsMatching(AdaptationName aDatasetName, DatasetSet.DatasetChildrenPolicy aChildrenPolicy)`
  From the datasets set created thanks to the include methods, excludes the datasets matching the specified name, and its descendants according to the provided children policy.
  `void`
  `excludeDatasetsMatching(Pattern aPattern, DatasetSet.DatasetChildrenPolicy aChildrenPolicy)`
  From the datasets set created thanks to the include methods, excludes the datasets matching the specified pattern, and its descendants according to the provided children policy.
  `void`
  `includeAllDatasets()`
  Includes all the datasets.
  `void`
  `includeDatasetsMatching(AdaptationName aDatasetName, DatasetSet.DatasetChildrenPolicy aChildrenPolicy)`
  Includes the datasets matching the given name and its descendants according to the provided children policy.
  `void`
  `includeDatasetsMatching(Pattern aPattern, DatasetSet.DatasetChildrenPolicy aChildrenPolicy)`
  Includes the datasets matching the specified pattern.

- ## Method Details

  - ### includeAllDatasets

    void includeAllDatasets()
    Includes all the datasets.

    Nevertheless, it is still possible to exclude an subset of datasets thanks to the method `excludeDatasetsMatching(AdaptationName, DatasetChildrenPolicy)` or `excludeDatasetsMatching(Pattern, DatasetChildrenPolicy)`.

  - ### includeDatasetsMatching

    void includeDatasetsMatching(AdaptationName aDatasetName, DatasetSet.DatasetChildrenPolicy aChildrenPolicy)
    Includes the datasets matching the given name and its descendants according to the provided children policy.

    Nevertheless, it is still possible to exclude a subset of datasets thanks to the method `excludeDatasetsMatching(AdaptationName, DatasetChildrenPolicy)` or `excludeDatasetsMatching(Pattern, DatasetChildrenPolicy)`.

    Parameters:
      `aDatasetName` - the dataset which will be included
      `aChildrenPolicy` - the policy that will be applied to the matching datasets

  - ### includeDatasetsMatching

    void includeDatasetsMatching(Pattern aPattern, DatasetSet.DatasetChildrenPolicy aChildrenPolicy)
    Includes the datasets matching the specified pattern.

    Nevertheless, it is still possible to exclude a subset of datasets thanks to the method `excludeDatasetsMatching(AdaptationName, DatasetChildrenPolicy)` or `excludeDatasetsMatching(Pattern, DatasetChildrenPolicy)`.

    Parameters:
      `aPattern` - the pattern that will be applied
      `aChildrenPolicy` - the policy applied to the children

  - ### excludeDatasetsMatching

    void excludeDatasetsMatching(AdaptationName aDatasetName, DatasetSet.DatasetChildrenPolicy aChildrenPolicy)
    From the datasets set created thanks to the include methods, excludes the datasets matching the specified name, and its descendants according to the provided children policy.
    Parameters:
      `aDatasetName` - The instance name which will be excluded
      `aChildrenPolicy` - The policy that will be applied to the matching datasets
    See Also:
      - `includeDatasetsMatching(AdaptationName, DatasetChildrenPolicy)`
      - `includeDatasetsMatching(Pattern, DatasetChildrenPolicy)`

  - ### excludeDatasetsMatching

    void excludeDatasetsMatching(Pattern aPattern, DatasetSet.DatasetChildrenPolicy aChildrenPolicy)
    From the datasets set created thanks to the include methods, excludes the datasets matching the specified pattern, and its descendants according to the provided children policy.
    Parameters:
      `aPattern` - the pattern that will be applied
      `aChildrenPolicy` - the policy applied to the children
    See Also:
      - `includeDatasetsMatching(AdaptationName, DatasetChildrenPolicy)`
      - `includeDatasetsMatching(Pattern, DatasetChildrenPolicy)`